# Ping

### Description

Pings the License Server and returns the UTC date on the server.

```csharp
bool Ping(string webServiceUrl, 
          out string response, 
          out DateTime serverDate)
```

### Parameters

| Parameter     |     Type     | Description                         |
| ------------- | :----------: | ----------------------------------- |
| webServiceUrl |    string    | URL to the QLM License Server       |
| response      |  out string  | the response from the server        |
| serverDate    | out DateTime | the date/time on the server in UTC. |

### Return

| Type | Description                       |
| ---- | --------------------------------- |
| bool | true if the server is accessible. |

## Remarks

It is recommended to use the new [PingEx](/docs/api-reference/.net-api/qlmlicense/application-methods/pingex.md) method which has a faster timeout.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/ping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
